fop 1.1

## org.apache.fop.util.text
Interface AdvancedMessageFormat.ObjectFormatter

All Known Implementing Classes:
  LocatorFormatter

Enclosing class:
  AdvancedMessageFormat

    public static interface AdvancedMessageFormat.ObjectFormatter

Implementations of this interface format certain objects to strings.

Method Summary
`void` `format(java.lang.StringBuffer sb, java.lang.Object obj)` Formats an object to a string and writes the result to a string buffer.
`boolean` `supportsObject(java.lang.Object obj)` Indicates whether a given object is supported.

Method Detail

### format

    void format(java.lang.StringBuffer sb,
                java.lang.Object obj)

  Formats an object to a string and writes the result to a string buffer.

  Parameters:
    `sb` - the target string buffer
    `obj` - the object to be formatted

### supportsObject

    boolean supportsObject(java.lang.Object obj)

  Indicates whether a given object is supported.

  Parameters:
    `obj` - the object
  Returns:
    true if the object is supported by the formatter

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.